"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const red_black_tree_1 = require("@collectable/red-black-tree");
const size_1 = require("./size");
function isEqual(set, other) {
    if (set === other)
        return true;
    if (size_1.size(set) !== size_1.size(other) ||
        set._select !== other._select ||
        set._compare !== other._compare)
        return false;
    var a = set._sorted, b = other._sorted;
    var ita = red_black_tree_1.iterateFromFirst(a), itb = red_black_tree_1.iterateFromFirst(b);
    do {
        var ca = ita.next();
        var cb = itb.next();
        if (!core_1.isEqual(ca.value.value, cb.value.value))
            return false;
    } while (!ca.done);
    return true;
}
exports.isEqual = isEqual;

//# sourceMappingURL=isEqual.js.map
