"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
const internals_2 = require("../internals");
function map(fn, map) {
    var nextMap = internals_1.cloneSortedMap(map, true, true);
    var keyMap = nextMap._indexed;
    var sortedValues = nextMap._sorted;
    var select = nextMap._select;
    var it = internals_2.iterate(map);
    var current;
    var index = 0;
    while (!(current = it.next()).done) {
        var value = current.value;
        const key = value.key.key;
        internals_2.setItem(key, fn(value.value, key, index++), keyMap, sortedValues, select);
    }
    core_1.commit(nextMap);
    if (core_1.isImmutable(map)) {
        return nextMap;
    }
    map._indexed = keyMap;
    map._sorted = sortedValues;
    return map;
}
exports.map = map;

//# sourceMappingURL=map.js.map
