"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const index_1 = require("./index");
function updateMap(callback, map) {
    var nextMap = core_1.modify(map);
    nextMap = callback(nextMap) || nextMap;
    return core_1.commit(nextMap);
}
exports.updateMap = updateMap;
function update(callback, key, map) {
    var oldv = index_1.get(key, map);
    var newv = callback(oldv, map);
    return newv === oldv ? map
        : newv === void 0 ? index_1.remove(key, map)
            : index_1.set(key, newv, map);
}
exports.update = update;

//# sourceMappingURL=update.js.map
