import { MappableIterator } from '@collectable/core';
import { keys, values, iterateFromFirst } from '@collectable/red-black-tree';
export function iterate(map) {
    return iterateFromFirst(map._sorted);
}
function toKey(item) {
    return item.key;
}
function toPair(item) {
    return [item.key.key, item.value];
}
export function iterateKeys(map) {
    return new MappableIterator(keys(map._sorted), toKey);
}
export function iterateValues(map) {
    return values(map._sorted);
}
export function iteratePairs(map) {
    return new MappableIterator(iterateFromFirst(map._sorted), toPair);
}

//# sourceMappingURL=iterate.js.map
