import { HashMap } from '@collectable/map';
import { RedBlackTree } from '@collectable/red-black-tree';
export interface Entry<K, V, U> {
    index: number;
    view: U;
    key: K;
    value: V;
}
export interface SortingKey<K, U> {
    index: number;
    view: U;
    key: K;
}
export declare type SortedMapEntry<K, V = null, U = undefined> = {
    readonly [P in keyof Entry<K, V, U>]: Entry<K, V, U>[P];
};
export declare type KeyMap<K, V, U> = HashMap.Instance<K, Entry<K, V, U>>;
export declare type SortedValues<K, V, U> = RedBlackTree.Instance<SortingKey<K, U>, V>;
